=== debian/changelog ===
libktorrent (1.0.2-1) unstable; urgency=low

  * New upstream release.
  * Rename library package to libktorrent2, SONAME has been bumped:
    - rename references in debian/control;
    - rename install and symbol files;
    - bump minver of all symbols to 1.0.2 in the symbol file;
    - change package name and soname in debian/libktorrent2.symbols;
    - change file path in debian/libktorrent2.install.
  * Enable parallel support, pass --parallel to dh.
  * Update symbol file for 1.0.2 release.
  * Bump Standards-Version to 3.9.0: no changes needed.

 -- Modestas Vainius <modax@debian.org>  Thu, 08 Jul 2010 22:25:50 +0300

libktorrent (1.0.1-2) unstable; urgency=low

  * Set versions of the UTPServer class symbols to 1.0.1.

 -- Modestas Vainius <modax@debian.org>  Tue, 15 Jun 2010 11:21:52 +0300

libktorrent (1.0.1-1) unstable; urgency=low

  * New upstream release.
  * Drop general_disable_ipv6_only.diff patch, merged upstream.
  * Update libktorrent1.symbols for 1.0.1.
  * Add "Build-Depends-Package" field to libktorrent1.symbols.

 -- Modestas Vainius <modax@debian.org>  Tue, 15 Jun 2010 01:25:07 +0300

libktorrent (1.0.0-1) unstable; urgency=low

  * New upstream release.
  * Explicitly disable IPV6_V6ONLY for tcp/udp server sockets
    (Closes: #581896). The proper solution (2 sockets) will be in the next
    major upstream release (patch general_disable_ipv6_only.diff).
  * License files are in upstream tarball now, remove the respective note from
    debian/copyright.
  * Add debian/README.source.

 -- Modestas Vainius <modax@debian.org>  Fri, 28 May 2010 21:06:51 +0300

libktorrent (1.0~rc1+dfsg.1-1) unstable; urgency=low

  * Initial release.

 -- Modestas Vainius <modax@debian.org>  Sat, 08 May 2010 21:49:44 +0300
