## libktorrent 1.0.3

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -198,7 +198,7 @@
 if(WIN32)
 target_link_libraries(ktorrent ws2_32)
 endif(WIN32)
-set_target_properties(ktorrent PROPERTIES VERSION 2.0.1 SOVERSION 2)
+set_target_properties(ktorrent PROPERTIES VERSION 2.0.2 SOVERSION 2)
 install(TARGETS ktorrent  ${INSTALL_TARGETS_DEFAULT_ARGS} )
