=== debian/changelog ===
libktorrent (1.0.3-0ubuntu1) maverick; urgency=low

  * New upstream bugfix release

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Fri, 03 Sep 2010 05:08:26 +0200
