## libktorrent 1.0.5

=== debian/changelog ===
libktorrent (1.0.5-2) unstable; urgency=low

  * Release to unstable.

 -- Modestas Vainius <modax@debian.org>  Tue, 01 Feb 2011 00:43:00 +0200

libktorrent (1.0.5-1) experimental; urgency=low

  * New upstream release.

 -- Modestas Vainius <modax@debian.org>  Thu, 30 Dec 2010 12:14:33 +0200

libktorrent (1.0.4-1) experimental; urgency=low

  * New upstream release.
  * Confirm symbol file for 1.0.3 on more arches.

 -- Modestas Vainius <modax@debian.org>  Wed, 20 Oct 2010 14:43:22 +0300

libktorrent (1.0.3-2) experimental; urgency=low

  * Confirm symbol file on more arches. Fixes FTBFS. (Closes: #598506)

 -- Modestas Vainius <modax@debian.org>  Sat, 02 Oct 2010 01:55:17 +0300

libktorrent (1.0.3-1) experimental; urgency=low

  * New upstream release.
  * Update symbol file.
  * Bump Standards-Version to 3.9.1: no changes needed.

 -- Modestas Vainius <modax@debian.org>  Wed, 29 Sep 2010 00:29:18 +0300
