=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: cmake, debhelper (>= 7.3.16~), pkg-kde-tools (>= 0.6~),
  kdelibs5-dev (>= 4:4.3), libgmp3-dev, libqca2-dev, libboost-dev,
  pkg-config, doxygen,
-Standards-Version: 3.9.0
+Standards-Version: 3.9.1
 Homepage: http://ktorrent.org/
 Vcs-Git: git://git.debian.org/git/pkg-kde/kde-extras/libktorrent.git
 Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/libktorrent.git;a=summary
