=== debian/changelog ===
libktorrent (1.1.1-2~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.
  * No source changes needed.

 -- Modestas Vainius <modax@debian.org>  Thu, 09 Jun 2011 22:54:38 +0300

libktorrent (1.1.1-2) unstable; urgency=low

  * Release to unstable.

 -- Modestas Vainius <modax@debian.org>  Thu, 26 May 2011 00:33:38 +0300

libktorrent (1.1.1-1) experimental; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.2: no changes needed.
  * Call dh in compat=8 way.
  * Drop dh_makeshlibs override: do not care about shlibs anymore.
  * Update symbol file (gcc 4.6 on amd64).

 -- Modestas Vainius <modax@debian.org>  Tue, 03 May 2011 00:30:10 +0300

libktorrent (1.1.0-1) experimental; urgency=low

  * New upstream release.
  * Update symbol file.
  * Do not start libktorrent3 synopsis with an article.

 -- Modestas Vainius <modax@debian.org>  Wed, 23 Mar 2011 02:07:58 +0200

libktorrent (1.1~rc1-1) experimental; urgency=low

  * New upstream release.
  * SONAME was bumped: rename libktorrent2 to libktorrent3.
  * Update debian/copyright.
  * Build depend on kdelibs5-dev 4.4.
  * Build depend on libgcrypt-dev.
  * Update symbol file.

 -- Modestas Vainius <modax@debian.org>  Sat, 19 Feb 2011 01:25:05 +0200
