=== debian/control ===
--- 
+++ 
@@ -4,18 +4,18 @@
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Modestas Vainius <modax@debian.org>
 Build-Depends: cmake, debhelper (>= 7.3.16~), pkg-kde-tools (>= 0.6~),
- kdelibs5-dev (>= 4:4.3), libgmp3-dev, libqca2-dev, libboost-dev,
+ kdelibs5-dev (>= 4:4.4), libgmp3-dev, libqca2-dev, libboost-dev, libgcrypt-dev,
  pkg-config, doxygen,
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://ktorrent.org/
 Vcs-Git: git://git.debian.org/git/pkg-kde/kde-extras/libktorrent.git
 Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/libktorrent.git;a=summary
 
-Package: libktorrent2
+Package: libktorrent3
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: libktorrent-l10n
-Description: the KTorrent library for C++ / Qt 4 / KDE Platform
+Description: KTorrent library for C++ / Qt 4 / KDE Platform
  The KTorrent library is a C++ / Qt 4 / KDE Platform based implementation of
  the BitTorrent protocol (mostly client side).
  .
@@ -28,7 +28,7 @@
 Package: libktorrent-dev
 Architecture: any
 Section: libdevel
-Depends: libktorrent2 (= ${binary:Version}), ${misc:Depends},
+Depends: libktorrent3 (= ${binary:Version}), ${misc:Depends},
  ${sameVersionDep:libqt4-dev}, ${sameVersionDep:kdelibs5-dev}
 Description: development files for the KTorrent Library
  The KTorrent library is a C++ / Qt 4 / KDE Platform based implementation of
@@ -40,7 +40,7 @@
 Package: libktorrent-l10n
 Architecture: all
 Section: localization
-Depends: libktorrent2 (>= ${source:Version}), ${misc:Depends}
+Depends: libktorrent3 (>= ${source:Version}), ${misc:Depends}
 Description: localization files for the KTorrent library
  The KTorrent library is a C++ / Qt 4 / KDE Platform based implementation of
  the BitTorrent protocol (mostly client side).
@@ -51,7 +51,7 @@
 Architecture: any
 Section: debug
 Priority: extra
-Depends: libktorrent2 (= ${binary:Version}), ${misc:Depends}
+Depends: libktorrent3 (= ${binary:Version}), ${misc:Depends}
 Description: debugging symbols for the KTorrent library
  The KTorrent library is a C++ / Qt 4 / KDE Platform based implementation of
  the BitTorrent protocol (mostly client side).
