=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_configure:
	dh_auto_configure -Skde -- -DCMAKE_USE_RELATIVE_PATHS=ON

override_dh_shlibdeps:
	dh_shlibdeps
	dh_sameversiondep

%:
	dh $@ --parallel --with kde -- --dbg-package=libktorrent-dbg 

.PHONY: override_dh_auto_test
