=== debian/changelog ===
libktorrent (1.2.0-1) unstable; urgency=low

  * New upstream release.
  * SOVERSION changed to 4, update packaging accordingly.
  * Bump Standards-Version to 3.9.3: no changes needed.
  * Update symbol file.
  * Build-depend on debhelper 9 as lintian insists.

 -- Modestas Vainius <modax@debian.org>  Sat, 10 Mar 2012 21:10:47 +0200
