## libktorrent 1.2.1

=== debian/changelog ===
libktorrent (1.2.1-1) unstable; urgency=low

  * New upstream release.
  * Confirm symbol file on all arches.
  * Update symbol file for 1.2.1.

 -- Modestas Vainius <modax@debian.org>  Thu, 21 Jun 2012 21:51:35 +0300

libktorrent (1.2.0-1.1) unstable; urgency=low

  * Non maintainer upload
  * Mark symbols as optional, missing when build with GCC 4.7. Closes: #671957.

 -- Matthias Klose <doko@debian.org>  Wed, 30 May 2012 01:31:31 +0000
