=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Modestas Vainius <modax@debian.org>
-Build-Depends: cmake, debhelper (>= 8.9.0~), pkg-kde-tools (>= 0.6~),
+Build-Depends: cmake, debhelper (>= 9~), pkg-kde-tools (>= 0.6~),
  kdelibs5-dev (>= 4:4.4), libgmp3-dev, libqca2-dev, libboost-dev, libgcrypt-dev,
  pkg-config, doxygen,
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://ktorrent.org/
 Vcs-Git: git://git.debian.org/git/pkg-kde/kde-extras/libktorrent.git
 Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/libktorrent.git;a=summary
 
-Package: libktorrent3
+Package: libktorrent4
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: libktorrent-l10n
@@ -28,7 +28,7 @@
 Package: libktorrent-dev
 Architecture: any
 Section: libdevel
-Depends: libktorrent3 (= ${binary:Version}), ${misc:Depends},
+Depends: libktorrent4 (= ${binary:Version}), ${misc:Depends},
  ${sameVersionDep:libqt4-dev}, ${sameVersionDep:kdelibs5-dev}
 Description: development files for the KTorrent Library
  The KTorrent library is a C++ / Qt 4 / KDE Platform based implementation of
@@ -40,7 +40,7 @@
 Package: libktorrent-l10n
 Architecture: all
 Section: localization
-Depends: libktorrent3 (>= ${source:Version}), ${misc:Depends}
+Depends: libktorrent4 (>= ${source:Version}), ${misc:Depends}
 Description: localization files for the KTorrent library
  The KTorrent library is a C++ / Qt 4 / KDE Platform based implementation of
  the BitTorrent protocol (mostly client side).
@@ -51,7 +51,7 @@
 Architecture: any
 Section: debug
 Priority: extra
-Depends: libktorrent3 (= ${binary:Version}), ${misc:Depends}
+Depends: libktorrent4 (= ${binary:Version}), ${misc:Depends}
 Description: debugging symbols for the KTorrent library
  The KTorrent library is a C++ / Qt 4 / KDE Platform based implementation of
  the BitTorrent protocol (mostly client side).
