=== src/net/CMakeLists.txt ===
--- 
+++ 
@@ -3,9 +3,12 @@
 
 set(net_HDR  
 	socks.h
-	bufferedsocket.h
+	packetsocket.h
+	trafficshapedsocket.h
+	streamsocket.h
 	downloadthread.h
 	address.h
+	addressresolver.h
 	socketgroup.h
 	portlist.h
 	networkthread.h
