=== src/peer/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,5 @@
 set (peer_HDR
 	peeruploader.h
-	packetwriter.h
 	peer.h
 	peermanager.h
 	authenticatebase.h
@@ -17,6 +16,7 @@
 	accessmanager.h
 	peerconnector.h
 	superseeder.h
+	connectionlimit.h
 )
