=== src/util/CMakeLists.txt ===
--- 
+++ 
@@ -24,6 +24,7 @@
 	pipe.h
 	circularbuffer.h
 	resourcemanager.h
+	bufferpool.h
 )
 if(NOT WIN32)
 set (util_HDR ${util_HDR}
