=== src/download/tests/CMakeLists.txt ===
set(streamingchunkselectortest_SRCS streamingchunkselectortest.cpp)

kde4_add_unit_test(streamingchunkselectortest TESTNAME streamingchunkselectortest ${streamingchunkselectortest_SRCS})
target_link_libraries( streamingchunkselectortest ${QT_QTTEST_LIBRARY} testlib ktorrent)
