=== debian/changelog ===
libktorrent (1.3.1-5build2) xenial; urgency=medium

  * No-change rebuild for qca2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Jan 2016 15:31:10 +0000

libktorrent (1.3.1-5) unstable; urgency=medium

  * Team upload.
  * Update symbols from build logs
  * Add definition of PATH_MAX when not otherwise defined to fix FTBFS on
    hurd-i386 (Closes: #762581)
    - Thanks to Svante Signell for the patch

 -- Scott Kitterman <scott@kitterman.com>  Sun, 30 Aug 2015 17:12:30 -0400

libktorrent (1.3.1-4) unstable; urgency=medium

  * Team upload.

  [ Matthias Klose ]
  * Update symbols file for GCC 5. (Closes: #777954)

  [ Harald Sitter ]
  * Add upstream_don-t-include-circular_buffer-in-moc-run.patch from upstream
    to not include the circular_buffer boost header during meta object
    compilation as it causes Qt4's MOC to fail on BOOST_JOIN which it cannot
    process due to implementation limitations.

  [ Adam Conrad ]
  * Build-depend on libgcrypt11-dev

  [ Scott Kitterman ]
  * Backport gcc5 and boost1.58 changes from Ubuntu
  * Bump standards version to 3.9.6 without further change

 -- Scott Kitterman <scott@kitterman.com>  Sun, 30 Aug 2015 01:10:33 -0400

libktorrent (1.3.1-3) unstable; urgency=low

  * Confirm symbols file on all arches, fixes FTBFSes.

 -- Modestas Vainius <modax@debian.org>  Wed, 06 Nov 2013 11:00:48 +0200

libktorrent (1.3.1-2) unstable; urgency=low

  * Make libktorrent suggest greater or equal version of -l10n.
  * Bump Standards-Version to 3.9.5: no further changes needed.
  * Update Vcs URL in debian/control to canonical ones.
  * Update symbols file for boost 1.54 and gcc 4.8.
  * Build with hardening flags.
  * Upload to unstable.

 -- Modestas Vainius <modax@debian.org>  Sun, 27 Jan 2013 14:11:29 +0200

libktorrent (1.3.1-1) experimental; urgency=low

  * New upstream release.

 -- Modestas Vainius <modax@debian.org>  Sun, 27 Jan 2013 11:36:04 +0200

libktorrent (1.3.0-1) experimental; urgency=low

  * New upstream release.
  * SOVERSION changed to 5, make appropriate changes in packaging.
  * Update symbol file, all symbols are at version 1.3.0 now.
  * Bump Standards-Version to 3.9.4: no changes needed.

 -- Modestas Vainius <modax@debian.org>  Sun, 30 Sep 2012 00:35:07 +0300
