=== debian/control ===
--- 
+++ 
@@ -4,17 +4,17 @@
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Modestas Vainius <modax@debian.org>
 Build-Depends: cmake, debhelper (>= 9~), pkg-kde-tools (>= 0.6~),
- kdelibs5-dev (>= 4:4.4), libgmp3-dev, libqca2-dev, libboost-dev, libgcrypt-dev,
+ kdelibs5-dev (>= 4:4.4), libgmp3-dev, libqca2-dev, libboost-dev, libgcrypt11-dev,
  pkg-config, doxygen,
-Standards-Version: 3.9.3
+Standards-Version: 3.9.6
 Homepage: http://ktorrent.org/
-Vcs-Git: git://git.debian.org/git/pkg-kde/kde-extras/libktorrent.git
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/libktorrent.git;a=summary
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/libktorrent.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/libktorrent.git;a=summary
 
-Package: libktorrent4
+Package: libktorrent5
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Suggests: libktorrent-l10n
+Suggests: libktorrent-l10n (>= ${source:Version})
 Description: KTorrent library for C++ / Qt 4 / KDE Platform
  The KTorrent library is a C++ / Qt 4 / KDE Platform based implementation of
  the BitTorrent protocol (mostly client side).
@@ -28,7 +28,7 @@
 Package: libktorrent-dev
 Architecture: any
 Section: libdevel
-Depends: libktorrent4 (= ${binary:Version}), ${misc:Depends},
+Depends: libktorrent5 (= ${binary:Version}), ${misc:Depends},
  ${sameVersionDep:libqt4-dev}, ${sameVersionDep:kdelibs5-dev}
 Description: development files for the KTorrent Library
  The KTorrent library is a C++ / Qt 4 / KDE Platform based implementation of
@@ -40,7 +40,7 @@
 Package: libktorrent-l10n
 Architecture: all
 Section: localization
-Depends: libktorrent4 (>= ${source:Version}), ${misc:Depends}
+Depends: libktorrent5 (>= ${source:Version}), ${misc:Depends}
 Description: localization files for the KTorrent library
  The KTorrent library is a C++ / Qt 4 / KDE Platform based implementation of
  the BitTorrent protocol (mostly client side).
@@ -51,7 +51,7 @@
 Architecture: any
 Section: debug
 Priority: extra
-Depends: libktorrent4 (= ${binary:Version}), ${misc:Depends}
+Depends: libktorrent5 (= ${binary:Version}), ${misc:Depends}
 Description: debugging symbols for the KTorrent library
  The KTorrent library is a C++ / Qt 4 / KDE Platform based implementation of
  the BitTorrent protocol (mostly client side).
